Run of scrub-obsolete for ncurses

Try this locally (using the lintian-brush package):

debcheckout ncurses
cd ncurses
deb-scrub-obsolete
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
Opening branch at https://salsa.debian.org/debian/ncurses.git/,branch=master
Using cached branch https://janitor.debian.net/git/ncurses/,branch=master
git: refs/tags/debian/6.2+20200912-1 does not point to a valid object!
git: refs/tags/debian/6.2+20200918-1 does not point to a valid object!
error: refs/tags/debian/6.2-1 does not point to a valid
 object!
git: refs/tags/upstream/6.1+20191019 does not point to a valid object!
error: refs/tags/upstream/6.2 does not point to a valid
 object!
git: refs/tags/upstream/6.2+20200912 does not point to a valid object!
error: refs/tags/upstream/6.2+20200918 does not point t
o a valid object!
git: refs/tags/upstream/6.2+20201114 does not point to a valid object!
Total 27027 (delta 18507), reused 8520 (delta 0), pack-reused 0
git: refs/tags/debian/6.2+20200912-1 does not point to a valid object!
git: refs/tags/debian/6.2+20200918-1 does not point to a valid object!
git: refs/tags/debian/6.2-1 does not point to a valid object!
git: refs/tags/upstream/6.1+20191019 does not point to a valid object!
git: refs/tags/upstream/6.2 does not point to a valid object!
git: refs/tags/upstream/6.2+20200912 does not point to a valid object!
git: refs/tags/upstream/6.2+20200918 does not point to a valid object!
git: refs/tags/upstream/6.2+20201114 does not point to a valid object!
Total 399 (delta 82), reused 317 (delta 0), pack-reused 0
git: refs/tags/debian/6.2+20200912-1 does not point to a valid object!
git: refs/tags/debian/6.2+20200918-1 does not point to a valid object!
error: refs/tags/debian/6.2-1 does not point to a valid
 object!
git: refs/tags/upstream/6.1+20191019 does not point to a valid object!
error: refs/tags/upstream/6.2 does not point to a valid
 object!
git: refs/tags/upstream/6.2+20200912 does not point to a valid object!
error: refs/tags/upstream/6.2+20200918 does not point t
o a valid object!
git: refs/tags/upstream/6.2+20201114 does not point to a valid object!
Total 384 (delta 259), reused 125 (delta 0), pack-reused 0
e.
Compressing objects:   0% (1/145)
Compressing objects:   1% (2/145)
Compressing objects:   2% (3/145)
Compressing objects:   
Total 231 (delta 110), reused 207 (delta 86), pack-reused 0
All changes applied successfully.
Workspace ready - starting.
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncursesw6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses-dev (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses-dev (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses-dev (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib64tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib64tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib64ncurses6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib64ncursesw6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib64tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses-dev (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib32tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib32tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib32ncurses6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib32ncursesw6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "lib32tinfo6 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libncurses-dev (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo5 (= ${binary:Version})", returning it raw
  warnings.warn(
/srv/janitor/debian-janitor/debmutate/debmutate/_deb822.py:116: UserWarning: cannot parse package relationship "libtinfo5 (= ${binary:Version})", returning it raw
  warnings.warn(
Using fixers: [<ognibuild.debian.fix_build.PgBuildExtOutOfDateControlFixer object at 0x7f18b73f0100>, SimpleBuildFixer(<class 'buildlog_consultant.common.MissingConfigure'>, <function fix_missing_configure at 0x7f18b7413f70>), SimpleBuildFixer(<class 'buildlog_consultant.common.MissingAutomakeInput'>, <function fix_missing_automake_input at 0x7f18b7416040>), SimpleBuildFixer(<class 'buildlog_consultant.common.MissingConfigStatusInput'>, <function fix_missing_config_status_input at 0x7f18b74160d0>), SimpleBuildFixer(<class 'buildlog_consultant.common.MissingPerlFile'>, <function fix_missing_makefile_pl at 0x7f18b7416160>), SimpleBuildFixer(<class 'buildlog_consultant.common.MissingPythonModule'>, <function fix_missing_python_module at 0x7f18b7413dc0>), SimpleBuildFixer(<class 'buildlog_consultant.common.MissingPythonDistribution'>, <function fix_missing_python_distribution at 0x7f18b7413d30>), SimpleBuildFixer(<class 'buildlog_consultant.apt.AptFetchFailure'>, <function retry_apt_failure at 0x7f18b7413e50>), PackageDependencyFixer(<ognibuild.resolver.apt.AptResolver object at 0x7f18a6eee550>)]
Building debian packages, running 'sbuild -A -v -c unstable-amd64-sbuild'.
Built ncurses_6.2+20201114-3~cme+obs1_amd64.changes
Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
git: refs/tags/debian/6.2+20200912-1 does not point to a valid object!
git: refs/tags/debian/6.2+20200918-1 does not point to a valid object!
git: refs/tags/debian/6.2-1 does not point to a valid object!
git: refs/tags/upstream/6.1+20191019 does not point to a valid object!
git: refs/tags/upstream/6.2 does not point to a valid object!
git: refs/tags/upstream/6.2+20200912 does not point to a valid object!
git: refs/tags/upstream/6.2+20200918 does not point to a valid object!
git: refs/tags/upstream/6.2+20201114 does not point to a valid object!
fatal: bad object .alternate
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 229, in run_worker
    legacy_import_branches(
  File "/srv/janitor/debian-janitor/janitor/vcs.py", line 272, in legacy_import_branches
    mirror_branches(
  File "/srv/janitor/debian-janitor/janitor/vcs.py", line 201, in mirror_branches
    vcs_result_controldir.push_branch(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 683, in push_branch
    raise RemoteGitError(error)
breezy.git.remote.RemoteGitError: missing necessary objects
Elapsed time: 0:14:20.065372

Full worker log Full build log